#include <QvDB.h>
#include <QvInput.h>
#include <QvNode.h>

void PreOrder(QvNode *node);

main(int argc, char **argv)
{
    QvDB::init();

    QvInput	in;
    QvNode	*root;

    if (QvDB::read(&in, root) && root != NULL) {
	root->ref();
	printf("Read was ok\n");
    }
    else {
	root = NULL;
	printf("Read was bad\n");
    }

    // What kind of node is this ?
    printf("About to print all names recursively (PREORDER)\n");
    PreOrder(root);
    printf("Name = %s\n",root->getName().getString());

    return 0;
}

/*
static int indent=0;

void Indent() {for(int i=0; i<indent; printf("\t"), i++);}

void PreOrder(QvNode *node)
{
    
    // Visit node.
    Indent();
    printf("Name = %s\n",node->getName().getString());
    
    indent++;
    // Visit Children, left to right: if any.
    if(children != NULL)
    {
	int i=0;
	while(i < node->getNumChildren())
	{
	    PreOrder(node->getChild(i));
	    i++;
	}
    }
    indent--;

}


*/
