#include <QvOrthographicCamera.h>

QV_NODE_SOURCE(QvOrthographicCamera);

QvOrthographicCamera::QvOrthographicCamera()
{
    QV_NODE_CONSTRUCTOR(QvOrthographicCamera);
    isBuiltIn = TRUE;

    QV_NODE_ADD_FIELD(position);
    QV_NODE_ADD_FIELD(orientation);
    QV_NODE_ADD_FIELD(focalDistance);
    QV_NODE_ADD_FIELD(height);
    QV_NODE_ADD_FIELD(nearDistance);
    QV_NODE_ADD_FIELD(farDistance);

    position.value[0] = 0.0F;
    position.value[1] = 0.0F;
    position.value[2] = 1.0F;
    orientation.axis[0] = 0.0F;
    orientation.axis[1] = 0.0F;
    orientation.axis[2] = 1.0F;
    orientation.angle = 0.0F;
    focalDistance.value = 5.0F;
    height.value = 2.0F;

    nearDistance.value = 1.0F;
    farDistance.value = 100.0F;
}

QvOrthographicCamera::~QvOrthographicCamera()
{
}
